// test_uuUnit.cpp (C) 2012 adolfo@di-mare.com

/** \file   test_uuUnit.cpp
    \brief  Test program for \c uuUnit.h.
    \author Adolfo Di Mare <adolfo@di-mare.com>

    \date   2012
    \see    http://www.di-mare.com/adolfo/p/BUnitXP.htm
*/

#include "uuUnit.h" // assertTrue()+assertFalse()

/// Small example class for \c uuUnit.h
class myImp {
    int rep;             ///< A field
    myImp() : rep(0) {}  ///< Constructor
// ...
public:
    /// A function
    friend int test_myImp( const int argc , const char* argv[] );
};

/// \c test->myImp()
int test_myImp( const int argc , const char* argv[] ) {
{{  // test.myImp
    myImp it;                         int n=0;
    assertTrue(     it.rep == 0  );     ++n;
    assertFalse( ! (it.rep != 0) );     ++n;
    return (n==2);
}}
{{ }} // ==> http://www.di-mare.com/adolfo/p/BUnit.htm
}

/// Test program.
int main( const int argc , const char* argv[] ) {
    std::cout << "TestCase [uuUnit.h] yesYES" << std::endl;
    assertTrue(  1==2 ); // ok?
    assertFalse( 1==2 ); // ok!
    return test_myImp(argc , argv);
}

#if 0
TestCase [uuUnit.h] yesYES
false[39] 1==2
true[30] ! (it.rep != 0)
#endif

// EOF: test_uuUnit.cpp
